> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Manually launches (reviews) a single lead in its campaign.

# Launch Lead

Use this endpoint to launch a lead that is waiting for review, without having
to enable campaign-wide auto-review.

You're auto launching this specific lead, while still enforcing every other
launch guard: the campaign must have no step errors, any AI variables required
by the campaign must be valid for the lead, and a sender must be available.

No need to enable autolaunch in the campaign.

This endpoint requires an `emailPro` plan or higher.


## OpenAPI

````yaml post /leads/review/{leadId}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /leads/review/{leadId}:
    parameters:
      - name: leadId
        in: path
        required: true
        description: The unique identifier of the lead to launch
        example: lea_8xJSc7sV7ggpiVnXe
        schema:
          type: string
    post:
      tags:
        - Leads
      summary: Launch Lead
      description: >-
        Use this endpoint to launch a lead that is waiting for review, without
        having to enable campaign-wide auto-review.


        You're auto launching this specific lead, while still enforcing every
        other launch guard: the campaign must have no step errors, any AI
        variables required by the campaign must be valid for the lead, and a
        sender must be available.


        No need to enable autolaunch in the campaign.


        This endpoint requires an `emailPro` plan or higher.
      responses:
        '200':
          description: Lead launched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
              example:
                ok: true
        '400':
          description: >-
            The lead cannot be launched. Possible `error` codes:
            `CAMPAIGN_LEAD_REVIEW_LEAD_PAUSED` (lead is paused),
            `CAMPAIGN_LEAD_REVIEW_LEAD_ALREADY_LAUNCHED` (lead is already
            launched), `CAMPAIGN_LEAD_REVIEW_LEAD_AI_VARIABLE_INVALID` (missing
            or invalid AI variables required by the campaign),
            `CAMPAIGN_LEAD_REVIEW_LEAD_NO_SENDER_AVAILABLE` (no sender
            available), `CAMPAIGN_LEAD_REVIEW_CAMPAIGN_STEP_ERRORS` (campaign
            has step errors).
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: CAMPAIGN_LEAD_REVIEW_LEAD_ALREADY_LAUNCHED
                message: Lead is already launched
        '401':
          description: Unauthorized
        '404':
          description: >-
            Lead or campaign not found. Possible `error` codes:
            `CAMPAIGN_LEAD_REVIEW_LEAD_NOT_FOUND`,
            `CAMPAIGN_LEAD_REVIEW_CAMPAIGN_NOT_FOUND`.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: CAMPAIGN_LEAD_REVIEW_LEAD_NOT_FOUND
                message: Lead not found
        '405':
          description: Method not allowed
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````